=== debian/changelog ===
cubicsdr (0.2.0+git20170310+dfsg-2) unstable; urgency=medium

  * Link to libatomic (Closes: #859616)

 -- Andreas Bombe <aeb@debian.org>  Thu, 06 Apr 2017 15:11:38 +0200

cubicsdr (0.2.0+git20170310+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #829516)

 -- Andreas Bombe <aeb@debian.org>  Fri, 17 Mar 2017 23:06:12 +0100
