## cubicsdr 0.2.2+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 SET(CUBICSDR_VERSION_MAJOR "0")
 SET(CUBICSDR_VERSION_MINOR "2")
 SET(CUBICSDR_VERSION_PATCH "2")
-SET(CUBICSDR_VERSION_SUFFIX "-alpha")
+SET(CUBICSDR_VERSION_SUFFIX "")
 SET(CUBICSDR_VERSION "${CUBICSDR_VERSION_MAJOR}.${CUBICSDR_VERSION_MINOR}.${CUBICSDR_VERSION_PATCH}${CUBICSDR_VERSION_SUFFIX}")
 
 SET(CPACK_PACKAGE_VERSION "${CUBICSDR_VERSION_MAJOR}.${CUBICSDR_VERSION_MINOR}.${CUBICSDR_VERSION_PATCH}")
@@ -27,6 +27,8 @@
     # feature flags
     SET (CUBICSDR_ENABLE_VIEW_DEMOD ON CACHE BOOL "Enable Second Demodulator Spectrum/Waterfall view.")
     SET (CUBICSDR_ENABLE_VIEW_SCOPE ON CACHE BOOL "Enable Demodulator Scope/Spectrum view.")
+    SET (CUBICSDR_ENABLE_ABOUT_DIALOG ON CACHE BOOL "Enable About Dialog.")
+    SET (CUBICSDR_DEFAULT_HIDE_BOOKMARKS OFF CACHE BOOL "Hide Bookmarks by Default.")
     SET (CUBICSDR_MODEM_EXCLUDE CACHE "" "Comma-separated list of modems to exclude.")    
 
     IF (NOT CUBICSDR_HEADER_IMAGE STREQUAL "")
@@ -52,8 +54,10 @@
     SET (CUBICSDR_HEADER_IMAGE "")
     SET (CUBICSDR_HEADER_BG "")
     # feature flags
-    SET (CUBICSDR_ENABLE_VIEW_DEMOD TRUE)
-    SET (CUBICSDR_ENABLE_VIEW_SCOPE TRUE)
+    SET (CUBICSDR_ENABLE_VIEW_DEMOD ON)
+    SET (CUBICSDR_ENABLE_VIEW_SCOPE ON)
+    SET (CUBICSDR_DEFAULT_HIDE_BOOKMARKS OFF)
+    SET (CUBICSDR_ENABLE_ABOUT_DIALOG ON)
     SET (CUBICSDR_EXCLUDE_MODEM "")    
 ENDIF()
 
@@ -63,6 +67,14 @@
 
 IF(CUBICSDR_ENABLE_VIEW_SCOPE) 
     ADD_DEFINITIONS( -DCUBICSDR_ENABLE_VIEW_SCOPE=1 )
+ENDIF()
+
+IF(CUBICSDR_DEFAULT_HIDE_BOOKMARKS) 
+    ADD_DEFINITIONS( -DCUBICSDR_DEFAULT_HIDE_BOOKMARKS=1 )
+ENDIF()
+
+IF(CUBICSDR_ENABLE_ABOUT_DIALOG) 
+    ADD_DEFINITIONS( -DCUBICSDR_ENABLE_ABOUT_DIALOG=1 )
 ENDIF()
 
 ADD_DEFINITIONS(
@@ -325,14 +337,3 @@
     src/demod/DemodulatorMgr.cpp
     src/modules/modem/Modem.cpp
     src/modules/modem/ModemAnalog.cpp
-    src/modules/modem/ModemDigital.cpp
-    src/modules/modem/analog/ModemAM.cpp
-    src/modules/modem/analog/ModemDSB.cpp
-    src/modules/modem/analog/ModemFM.cpp
-    src/modules/modem/analog/ModemNBFM.cpp
-    src/modules/modem/analog/ModemFMStereo.cpp
-    src/modules/modem/analog/ModemIQ.cpp
-    src/modules/modem/analog/ModemLSB.cpp
-    src/modules/modem/analog/ModemUSB.cpp
-    src/audio/AudioThread.cpp
-    src/util/Gradient.cpp
