=== debian/changelog ===
cubicsdr (0.2.2+dfsg-1build1) bionic; urgency=medium

  * No-change rebuild against librtaudio6

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 05 Nov 2017 06:47:58 +0000

cubicsdr (0.2.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Add copyright and license for external/rs232 to debian/copyright
  * Change Homepage field to new address (cubicsdr.com instead of .org)
  * Bump Standards-Version to 4.0.1, no changes necessary

 -- Andreas Bombe <aeb@debian.org>  Mon, 21 Aug 2017 20:49:38 +0200
