=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: cubicsdr
 Section: hamradio
 Priority: optional
-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Andreas Bombe <aeb@debian.org>
 Build-Depends: debhelper (>= 10),
     cmake,
@@ -13,8 +14,8 @@
     libgl-dev,
     librtaudio-dev,
     libtinyxml-dev
-Standards-Version: 3.9.8
-Homepage: http://cubicsdr.org/
+Standards-Version: 4.0.1
+Homepage: http://cubicsdr.com/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/cubicsdr.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/cubicsdr.git
