=== debian/changelog ===
cubicsdr (0.2.3+dfsg-1) unstable; urgency=medium

  * New upstream version 0.2.3
  * Increase debhelper compat level to 11
  * Bump Standards-Version to 4.1.3, no changes necessary

 -- Andreas Bombe <aeb@debian.org>  Thu, 25 Jan 2018 02:14:54 +0100
