=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: cubicsdr
 Section: hamradio
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Andreas Bombe <aeb@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
     cmake,
     pkg-config,
     libsoapysdr-dev,
@@ -14,7 +13,7 @@
     libgl-dev,
     librtaudio-dev,
     libtinyxml-dev
-Standards-Version: 4.0.1
+Standards-Version: 4.1.3
 Homepage: http://cubicsdr.com/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/cubicsdr.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/cubicsdr.git
