=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh ${@} --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- -DUSE_HAMLIB=ON -DUSE_SYSTEM_RTAUDIO=ON
