=== debian/changelog ===
cubicsdr (0.2.4+dfsg-1) unstable; urgency=medium

  * New upstream version 0.2.4
  * Add patch revert-migration-to-wx3.1 to revert upstream commit e46d7f973
    to make it stay compatible with wxWidgets 3.0 available in Debian
  * Set OpenGL_GL_PREFERENCE to GLVND so that cmake won't prefer legacy
    OpenGL libraries
  * Change Vcs-* fields in debian/control to the salsa repository addresses
  * Bump Standards-Version to 4.1.4, no changes necessary
  * Point Format: field in debian/copyright at https URL

 -- Andreas Bombe <aeb@debian.org>  Mon, 11 Jun 2018 23:18:44 +0200
