=== debian/control ===
--- 
+++ 
@@ -13,10 +13,10 @@
     libgl-dev,
     librtaudio-dev,
     libtinyxml-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: http://cubicsdr.com/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/cubicsdr.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/cubicsdr.git
+Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/cubicsdr
+Vcs-Git: https://salsa.debian.org/debian-hamradio-team/cubicsdr.git
 
 Package: cubicsdr
 Architecture: any
