=== debian/changelog ===
cubicsdr (0.2.5+dfsg-3~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.
  * Created CubicSDR.desktop
  * Added cubicsdr.png
  * Added include-binaries for cubicsdr.png
  * Created install file for icon and .desktop file

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 03 Sep 2020 10:46:24 -0400

cubicsdr (0.2.5+dfsg-3) unstable; urgency=medium

  * Cherry-pick patch from upstream to be compatible with liquid-dsp 1.3.2.

 -- Christoph Berg <myon@debian.org>  Fri, 27 Dec 2019 16:15:09 +0100

cubicsdr (0.2.5+dfsg-2) unstable; urgency=medium

  * Rebuild against wxWidgets GTK 3 package. (Closes: #933474)
  * Recommend soapysdr-module-all, we need at least one module.
  * Add debian/gitlab-ci.yml.

 -- Christoph Berg <myon@debian.org>  Wed, 25 Dec 2019 18:50:28 +0100

cubicsdr (0.2.5+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Use https for Homepage.
  * Add myself to Uploaders.

 -- Christoph Berg <myon@debian.org>  Sun, 16 Dec 2018 11:13:52 +0100
