=== debian/control ===
Source: cubicsdr
Section: hamradio
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Andreas Bombe <aeb@debian.org>,
    Christoph Berg <myon@debian.org>,
Build-Depends: debhelper-compat (= 12),
    cmake,
    pkg-config,
    libsoapysdr-dev,
    libliquid-dev (>= 1.3.2),
    libhamlib-dev,
    libwxgtk3.0-gtk3-dev,
    libgl-dev,
    librtaudio-dev,
    libtinyxml-dev,
    libx11-dev,
Standards-Version: 4.4.1
Homepage: https://cubicsdr.com/
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/cubicsdr
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/cubicsdr.git

Package: cubicsdr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: soapysdr-module-all
Description: Software Defined Radio receiver
 CubicSDR is a cross-platform Software-Defined Radio application which allows
 you to navigate the radio spectrum and demodulate any signals you might
 discover. It currently includes several common analog demodulation schemes such
 as AM and FM and will support digital modes in the future.
 .
 CubicSDR uses SoapySDR to access SDR hardware and thereby supports all hardware
 for which a SoapySDR module exists.
