=== debian/rules ===
--- 
+++ 
@@ -7,5 +7,9 @@
 %:
 	dh ${@} --buildsystem=cmake
 
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 override_dh_auto_configure:
-	dh_auto_configure -- -DUSE_HAMLIB=ON -DUSE_SYSTEM_RTAUDIO=ON
+	dh_auto_configure -- -DUSE_HAMLIB=ON -DUSE_SYSTEM_RTAUDIO=ON \
+		-DOpenGL_GL_PREFERENCE=GLVND
