## cubicsdr 0.2.7%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,21 @@
 Source: cubicsdr
 Section: hamradio
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Andreas Bombe <aeb@debian.org>,
     Christoph Berg <myon@debian.org>,
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
     cmake,
-    pkg-config,
+    pkgconf,
     libsoapysdr-dev,
     libliquid-dev (>= 1.3.2),
     libhamlib-dev,
-    libwxgtk3.0-gtk3-dev,
+    libwxgtk3.2-dev,
     libgl-dev,
     librtaudio-dev,
     libtinyxml-dev,
     libx11-dev,
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Homepage: https://cubicsdr.com/
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/cubicsdr
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/cubicsdr.git
