=== debian/changelog ===
cubicsdr (0.2.7+dfsg-2) unstable; urgency=medium

  * Move to libwxgtk3.2-dev. (Closes: #1019780)

 -- Christoph Berg <myon@debian.org>  Sat, 17 Sep 2022 14:26:49 +0200

cubicsdr (0.2.7+dfsg-1) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Bump debhelper from old 12 to 13.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Daniele Forsi ]
  * Update standards version to 4.6.0, no changes needed.

  [ Christoph Berg ]
  * New upstream version 0.2.7+dfsg.
  * debian/watch: Add repacksuffix.

 -- Christoph Berg <myon@debian.org>  Tue, 23 Aug 2022 13:49:31 +0200
