=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
     Christoph Berg <myon@debian.org>,
 Build-Depends: debhelper-compat (= 13),
     cmake,
-    pkgconf,
+    pkg-config,
     libsoapysdr-dev,
     libliquid-dev (>= 1.3.2),
     libhamlib-dev,
